# Class ArchivedPatientTreatmentService

Namespace
  adas_core.Application.Services

Assembly
  adas-core.Application.dll

    public class ArchivedPatientTreatmentService : IArchivedPatientTreatmentService

Inheritance
  object
  ArchivedPatientTreatmentService

Implements
  IArchivedPatientTreatmentService

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Constructors

### ArchivedPatientTreatmentService(ITreatmentArchiveRepository)

    public ArchivedPatientTreatmentService(ITreatmentArchiveRepository archivedPatientTreatmentService)

#### Parameters

`archivedPatientTreatmentService` ITreatmentArchiveRepository

## Methods

### FindAllPatientTreatmentsByPatient(ObjectId)

Retrieves all archived patient treatments associated with the specified patient by delegating to the archived patient treatment service.

    public Task<List<PatientTreatment>> FindAllPatientTreatmentsByPatient(ObjectId patientId)

#### Parameters

`patientId` ObjectId

  The unique identifier of the patient whose archived treatments are being retrieved.

#### Returns

Task<List<PatientTreatment>>

  A task that represents the asynchronous operation, containing a list of PatientTreatment records for the specified patient.